GenPage

MCPC
Spigot/MCPC Server Bug

16 posts in this topic


 
Credit to Kobata for noticing and informing me of the tweet.
 
This is an issue that affects Spigot which is built into MCPC-Plus
 
This has been fixed in Spigot: http://www.spigotmc.org/threads/arrayindexoutofboundsexception.14826/
 
Just waiting on MCPC now.

 

The error that crashes your server will be a 

java.lang.ArrayIndexOutOfBoundsException

 
I will be following this closely as many seem to be having issues with players joining your servers.

 

UPDATE:

 

Build #251 of MCPC-Plus is now recommended. 

 

http://ci.md-5.net/job/MCPC-Plus-164/251/

 

Download this new jar, replace, restart

Edited by GenPage
Update - Fixed

Share this post


Link to post
Share on other sites

Im using the version you recommended, but then it fixed it only giving me a "failed to bind port error", but after a few times of turning on and off my server, the java.lang.ArrayIndexOutOfBoundsException: 4100 

 

This all started when two mods i was running on my server had an id confilct, i changed one of the id's to 4188888, and it gave me the java.lang.ArrayIndexOutOfBoundsException: 4188888 error. So i changed it to 4100 thinking that it was too much or something, and it still didnt work, i tried your recommendation, but it came back, and now it wont stop occuring no matter how many times i restart my server. Anyway i can solve this? And is there a way i would be able to fix the "Failed to bind port error?" here is the java.lang.ArrayIndexOutOfBoundsException: 4100 error: http://pastebin.com/9yhaPcDt

 

Please help.

Share this post


Link to post
Share on other sites

Oh, my. This belongs in Server Op Swap Shop. The bind port error is because you have an orphaned Java process still running. Bring up your task manager and kill it. The Index Out Of Bounds is because the highest worldgen block ID you can use is 4095.

Share this post


Link to post
Share on other sites

Ok, well those problems dont seem to be occuring anymore, but now i keep getting this new error: http://imgur.com/kCedfYQ

These are one of those errors that arent saved onto a file, so the only way to show them is through a picture. ^^^^^^^^^^

Share this post


Link to post
Share on other sites

Nevermind, i fixed it. But i need the mcpc+ 1.6.2 version (the 1.6.4 version is incompatible with turninator's95 moonquest modpack) but the webpage gives me a http 404 error when i go to it. Was the webpage moved? Or removed?

Share this post


Link to post
Share on other sites

If you are having troubles please start a new thread. I do not feel comfortable having a irrelevant conversation in a sticky forum post.

Share this post


Link to post
Share on other sites

The link is broken.

 

Too true. The MCPC+ project has been renamed to Cauldron and has a new dedicated website for both 1.6.4 and 1.7.2 versions:

 

Website: http://cauldron.minecraftforge.net/

 

Cauldron 1.6.4/1.7.21.7.10: http://files.minecraftforge.net/Cauldron/

 

MCPC+ 1.5.2: http://ci.md-5.net/job/MCPC-Plus-Legacy/

 

Please note that most versions now require the use of the installer in order to get the libraries and minecraft_server.jar as they no longer automatically get those on first startup.

Edited by plowmanplow

Share this post


Link to post
Share on other sites

Too true. The MCPC+ project has been renamed to Cauldron and has a new dedicated website for both 1.6.4 and 1.7.2 versions:

 

Website: http://cauldron.minecraftforge.net/

 

Cauldron 1.7.2: http://files.minecraftforge.net/Cauldron/

 

Cauldron 1.6.4: http://ci.md-5.net/job/CauldronLegacy/

 

Please note that both versions now require the use of the installer in order to get the libraries and minecraft_server.jar as they no longer automatically get those on first startup.

 dammit those links are 404s as well D: why does the minecraft community take away everything we need?

Share this post


Link to post
Share on other sites

First two are not, gun, third one is since they no longer host their files on md-5.net.....did you even bother trying...

Share this post


Link to post
Share on other sites

 

Credit to Kobata for noticing and informing me of the tweet.

 

This is an issue that affects Spigot which is built into MCPC-Plus

 

This has been fixed in Spigot: http://www.spigotmc.org/threads/arrayindexoutofboundsexception.14826/

 

Just waiting on MCPC now.

 

The error that crashes your server will be a 

java.lang.ArrayIndexOutOfBoundsException

 

I will be following this closely as many seem to be having issues with players joining your servers.

 

UPDATE:

 

Build #251 of MCPC-Plus is now recommended. 

 

http://ci.md-5.net/job/MCPC-Plus-164/251/

 

Download this new jar, replace, restart

 

You might want to update to remove that link. Due to the DMCA that link is no longer valid and I think anyone using MCPC, or any other "bukkit" based server is in limbo for now. Hopefully the mod dev's will see our pain and spigot 1.8 will rock.

 

 Apparently they disabled access to the second link as well.

Edited by CharZinta

Share this post


Link to post
Share on other sites

You might want to update to remove that link. Due to the DMCA that link is no longer valid and I think anyone using MCPC, or any other "bukkit" based server is in limbo for now. Hopefully the mod dev's will see our pain and spigot 1.8 will rock.

 

 Apparently they disabled access to the second link as well.

 

The ONLY problem I have with spigot is no forge based Mods. So you get Plugin's or Mods. Cauldron was the perfect solution till the DMCA. Now we all wait in purgatory hoping something comes along.  I like some of the talk on Sponge but some comments are good and some concern me. I won't cross link in here but you can google it :)

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!


Register a new account

Sign in

Already have an account? Sign in here.


Sign In Now

  • Similar Content

    • By trimman
      I got back into Yogbox a while back, but after trying to add one mod to the list (NoMoreRecipeConflict), my game would no longer start and would give me the message that you can see in the image. After typing in the given link, https://ygsolder.visualfiredev.com/api/modpack/yogbox-20/6.4.9/?cid=6249122b-1c14-40ab-97b2-5bb741302b63 I received another error message. I tried deleting the modpack, and possibly lost my entire world in the progress unless there's a server backup or something, and I still have this issue. Any ideas?

    • By xfalcon
      Hello, I'm getting the following error when starting up my server. Can someone help me resolve it please? Thanks in advance. The modpack is Tekkit Classic.
      [email protected]:~/tcs# ./launch.sh 182 recipes 27 achievements 15:56:04 [INFO] Starting minecraft server version 1.2.5 15:56:04 [INFO] Attempting early MinecraftForge initialization 15:56:04 [INFO] Completed early MinecraftForge initialization 15:56:04 [INFO] Forge Mod Loader version 2.2.91.173 for Minecraft 1.2.5 loading 15:56:04 [SEVERE] Unable to process our input to locate the minecraft code 15:56:04 [SEVERE] cpw.mods.fml.common.LoaderException 15:56:04 [SEVERE] at cpw.mods.fml.common.ModClassLoader.getParentSources(ModClassLoader.java:77) 15:56:04 [SEVERE] at cpw.mods.fml.common.Loader.load(Loader.java:374) 15:56:04 [SEVERE] at cpw.mods.fml.common.Loader.loadMods(Loader.java:606) 15:56:04 [SEVERE] at cpw.mods.fml.server.FMLBukkitHandler.onPreLoad(FMLBukkitHandler.java:134) 15:56:04 [SEVERE] at net.minecraft.server.MinecraftServer.init(MinecraftServer.java:135) 15:56:04 [SEVERE] at net.minecraft.server.MinecraftServer.run(MinecraftServer.java:438) 15:56:04 [SEVERE] at net.minecraft.server.ThreadServerApplication.run(SourceFile:492) 15:56:04 [SEVERE] Unexpected exception cpw.mods.fml.common.LoaderException at cpw.mods.fml.common.ModClassLoader.getParentSources(ModClassLoader.java:77) at cpw.mods.fml.common.Loader.load(Loader.java:374) at cpw.mods.fml.common.Loader.loadMods(Loader.java:606) at cpw.mods.fml.server.FMLBukkitHandler.onPreLoad(FMLBukkitHandler.java:134) at net.minecraft.server.MinecraftServer.init(MinecraftServer.java:135) at net.minecraft.server.MinecraftServer.run(MinecraftServer.java:438) at net.minecraft.server.ThreadServerApplication.run(SourceFile:492) >  
    • By Pouhebert
      Any modpack I try to open at Technic does not open! I've tried several things like -Xmx512 and it still does not work
    • By peterbdude
      Hi so i dont know if this is the right place for this but,
      i made a custom mod pack which is a mix between tekkit and hexxit (never made a mod pack before), and it loads them in phase 1/7 saying "constructing mods" in the mojang screen but as soon as it goes to 2/7 it says "initializing mods phase 1" and crashes with no error message. The modpack is named "NRHS Mod pack" in minecraft version 1.7.10, Idk what to do from here so if someone could figure out why it keeps crashing and comment why i would be soooooo grateful. 
      Mods:
      https://docs.google.com/document/d/1sErCVa1CrChjL7RLfqG73PlQHTmZGaarGqmJZbpP244/view
    • By Thomasmr11
      Hi folks,
      I set up a tekkit legends server and, long story short, when I run the .bat file to launch it, it gets some way through the launch and then just crashes. Below is a copy of the crash report:
       
      http://paste.ubuntu.com/25527703/
       
      So if anyone is able to decipher that and explain whats going on, I would greatly appreciate it.
      Thanks, Tom